# Class: Haml::TempleEngine

Inherits:
  Engine
  - Object
  - Temple::Engine
  - Engine
  - Haml::TempleEngine
  show all

Defined in:
  lib/haml/engine.rb

## Overview

For backward compatibility of Tilt integration. TODO: We should deprecate this and let Tilt have a native support of Haml 6. At least it generates warnings now.

## Instance Method Summary collapse

- #compile(template)
- #precompiled_with_ambles(_local_names, after_preamble:)

## Instance Method Details

### #compile(template)

    51
    52
    53

    # File 'lib/haml/engine.rb', line 51

    def compile(template)
      @precompiled = call(template)
    end

### #precompiled_with_ambles(_local_names, after_preamble:)

    55
    56
    57

    # File 'lib/haml/engine.rb', line 55

    def precompiled_with_ambles(_local_names, after_preamble:)
      "#{after_preamble.tr("\n", ';')}#{@precompiled}".dup
    end